Skip to content

Search Zillow listings

GET
/v1/zillow-search

Search Zillow listings by location with pagination. Use query for the first page and next_url for subsequent pages.

Credits: 1 per request.

query
string

Search query (city, zip, address).

Example
Austin, TX
next_url
string

Pagination URL for next page.

Search results.

object
total_results
integer
listings
Array<object>
object
zpid
string
address
string
city
string
state
string
zipcode
string
price
number
bedrooms
integer
bathrooms
number
living_area
number
home_type
string
listing_status
string
thumbnail
string
detail_url
string
pagination
object
next_url
string
has_more
boolean
X-Credits-Used
integer
X-Credits-Remaining
integer

Missing or invalid API key.

object
error

Error message.

string
Example
invalid or inactive api_key

Insufficient credits.

Rate limit exceeded.

object
error

Error message.

string
Example
invalid or inactive api_key
Retry-After
integer

Seconds to wait before retrying.